Pax Exam
  1. Pax Exam
  2. PAXEXAM-125

junitBundles/easyMockBundles/mockitoBundles/... shoudl support versionAsInProject()

    Details

    • Type: Improvement Improvement
    • Status: Open
    • Priority: Minor Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: JUnit Driver
    • Labels:
      None

      Description

      junitBundles/easyMockBundles/mockitoBundles options allows oone to specify the version. Usually you have dependencies to this artifacts in your project so it will be a useful feature to support versionAsInProject(), the same way it is supported for mavenBundle() option.

        Activity

        Hide
        Harald Wellmann added a comment -

        Not as easy as it sounds.

        Your project dependency usually is junit:junit, but junitBundles() provisions org.junit:com.springsource.org.junit.

        Show
        Harald Wellmann added a comment - Not as easy as it sounds. Your project dependency usually is junit:junit, but junitBundles() provisions org.junit:com.springsource.org.junit.

          People

          • Assignee:
            Toni Menzel
            Reporter:
            Alin Dreghiciu
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:

              Development